<?php
namespace Paheko;

use Paheko\Files\Files;

$nom_plugin = $plugin->get('name');
const SIGNATURE_DEFAUT = 'default_signature.png';
const CONFIG_INIT = 'config.json';

// configuration initiale
$config_init = json_decode(file_get_contents(Plugins::getPath($nom_plugin) . '/' . CONFIG_INIT),
                           true);

// enregistrer dans la config du plugin
foreach ($config_init as $cle => $valeur) {
    $plugin->setConfigProperty($cle, $valeur);
}
$plugin->save();

// « signature » par défaut à remplacer (voir l'onglet de configuration)
$path = __DIR__ . '/data/' . SIGNATURE_DEFAUT;
$default_signature_file = Files::createFromPath('ext/' . $nom_plugin . '/' . SIGNATURE_DEFAUT,
                                                $path);
