# Plugin reçus fiscaux pour Paheko

Plugin de reçus fiscaux pour le logiciel de gestion d'association [Paheko](https://paheko.cloud).

## Installation

**Attention :** les archives disponibles sur ce dépôt n'ont pas un format compatible avec Paheko et ne peuvent donc être utilisées telles quelles ; il faut soit les transformer pour les rendre compatibles, soit télécharger [cette archive](https://acloud8.zaclys.com/index.php/s/n9daWAND24T2W3e), et la copier dans le dossier plugins de Paheko.

## Fonctionnalités
- Créer des reçus fiscaux pour les dons des membres
  - reçu par activité et tarif : un, plusieurs ou tous
  - reçu par personne : une, plusieurs ou tous
  - distinguer les différents taux de réduction
  - génération des reçus au format PDF avec un générateur PDF externe
    ou impression depuis le navigateur

## Configuration
- association
  - Objet (but) de l'association
  - articles du CGI concernés par la réduction fiscale
  - taux de réduction applicables
- responsable
  - nom
  - fonction
  - signature (image)
- autres
  - ville (précède la date sur le formulaire)
  - paramétrage du numéro de reçu (préfixe quelconque, année fiscale, numéro de membre ou séquentiel)
  - possibilité d'imprimer l'adresse de courriel
  - choix et ordre des champs pour le nom et prénom (le libellé doit contenir le terme 'nom', casse indifférente)
