<?php

namespace Paheko;
session_start();

use Paheko\Plugin\RecusFiscaux\Utils;

// liste des années fiscales
$anneeCourante = date("Y");
$anneesFiscales = Utils::getAnneesFiscales();
if ($anneesFiscales[0] < $anneeCourante) {
    array_unshift($anneesFiscales, $anneeCourante);
}

$csrf_key = 'acc_select_year';
$form->runIf('change', function () {
    $_SESSION['annee_recu'] = f('annee_recu');
}, $csrf_key, PLUGIN_ROOT . '/admin/index.php');

$tpl->assign(compact('anneesFiscales', 'csrf_key'));

$tpl->assign('annee_recu', $_SESSION['annee_recu']);

$tpl->display(PLUGIN_ROOT . '/templates/choix_annee.tpl');
